[SRU] Nautilus: 'Remember this application for ..." option should be made inactive by default

Bug #662194 reported by Doug McMahon on 2010-10-17
386
This bug affects 61 people
Affects Status Importance Assigned to Milestone
Nautilus
Expired
Medium
nautilus (Ubuntu)
Low
Rodrigo Moya
Lucid
Low
Unassigned
Maverick
Low
Unassigned
Natty
Low
Rodrigo Moya

Bug Description

Binary package hint: nautilus

By having this option enabled by default when used on dir.'s the app chosen is set as the new default folder handler.

This is causing users problems, more every day, and there is no benefit to having it as a default active option (not sure if the option has any value at all.
With the box inactive - when used on dir.'s the app chosen will still be added to the 'open with' menu, but not set as default folder handler.
(( while having the box active for files causes no issues, again having it inactive does not prevent the choice from being added to the 'open with' menu for that mimetype, so the simple fix for the moment would be to just make inactive period.

As simple as
gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (dialog->details->checkbox), FALSE);

Related ignored bug
https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/603833

Please do not dupe this to this bug - a dead end it appears
https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/366963

Impact: Unexperienced users can set default file handler for directories to some random application, rendering unexpected results.

TEST CASE:

- Right click on directory
- Select "Open with other application"
- Make sure option "Remember this application for folder files" is no longer present

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: nautilus 1:2.32.0-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Sun Oct 17 10:29:10 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100917)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: nautilus

Related branches

Doug McMahon (mc3man) wrote :
summary: - Nautilus: 'Remeber this application for ..." option should be made
+ Nautilus: 'Remember this application for ..." option should be made
inactive by default

Actually the closer you look at it the "Remember this....." option is not needed for folders at all, except for some unknown reason one wished to switch default folder handlers

The same can be said for files - the option is of no value there whatsoever - defaults are set in properties

In both cases (files and folders), anything chosen from the 'Other Application' menu is added to the 'open with' menu whether the 'remember' box is enabled or not

If there is some reason to have the option fine - there is no reason to have it set to active by default

I truly fail to see what the problem is here in addressing this, but is is truly anoying when every day people post on forums asking why there places folders are being opened w/ some app or in some rare cases not at all.

Doug McMahon (mc3man) wrote :

While I didn't notice it before, it (the remember me box), is also changing the default on files. This again makes having the box inactive by default logical.

Otherwise maybe you should change the wording to what it is -
Ex.
"Set this application as default for ..."

Sebastien Bacher (seb128) wrote :

Thank you for your bug report. The issue is an upstream one and it would be nice if somebody having it could send the bug the to the people writting the software (https://wiki.ubuntu.com/Bugs/Upstream/GNOME)

Changed in nautilus (Ubuntu):
importance: Undecided → Low
Doug McMahon (mc3man) wrote :

Sebastien Bacher wrote >

The issue is an upstream one and it would be nice if somebody having it could send the bug the to the people writing the software

I will do that shortly.
But from an ubuntu viewpoint this does represent a usability issue, I see every day several users complaining about places/home ect. opening in something other than nautilus.
Many times they get proper advice, sometimes not...
There have actually been a few instances, due to the app. set as default, that nothing happens without errror message - that unfortunately leads to talk of a re-install.
(I don't think many notice that the default for files also being changed from the other application menu, certainly that is not as much as a usability issue.

I guess I'm missing the point - is there something preventing ubuntu from making one simple edit and a rebuild to make the option inactive by default?
At least then the majority of users would not be as likely to change the default folder handler or default for mimetype, as it stands now it is virtually assured the default will be altered from the other application menu.

I've run a patched and rebuilt nautilus here for some time, it works out quite fine.
(and occasionally do enable the option on files to switch default rather than going to properties menu.

Doug McMahon (mc3man) on 2010-12-04
tags: added: natty
removed: amd64
Sebastien Bacher (seb128) wrote :

> I guess I'm missing the point - is there something preventing ubuntu from making one simple edit and a rebuild to make the option inactive by default?

Not really, out of fact that the number of bug reports is way higher than the number of triagers, you could get review easily by submitting your patch and subscribing ubuntu-sponsors though, sponsoring request get reviewed actively by people with upload rights

Sebastien Bacher (seb128) wrote :

Btw did you open a GNOME bug? The issue should still be discussed and fixed upstream if we can

Doug McMahon (mc3man) wrote :

>Btw did you open a GNOME bug

Was distracted w/ natty, - where this does also exist though it may not occur to the extent it does on maverick and some lucid installs. (any dir. that's 'on the desktop', or treated as such will be unaffected.

https://bugzilla.gnome.org/show_bug.cgi?id=637264

My thought in filing this 'bug' here was that if nautilus was to be updated in maverick, this small change would be good to include.
It appears i should have abandoned the orig. bug report on mav. - (filed 5 months ago) a bit earlier, don't see a update to nautilus in maverick likely to occur any time soon at this point.

Changed in nautilus (Ubuntu):
status: New → In Progress
Changed in nautilus (Ubuntu):
status: In Progress → Fix Committed
Sebastien Bacher (seb128) wrote :

Thank you for sending the bug to GNOME

modelt (lordmisterford) wrote :

Something changes somewhere during Rhythmbox use. Everything was fine when I first installed Ubuntu. Everything was still fine after I started using Rhythmbox. Then one day I found that nautilus file manager no longer worked for me: Whenever I clicked <places> the dropdown opened up but no matter which option I selected, it always opened Rhythmbox.

In other programs, such as OpenOffice, If I clicked <file> <open>, the dropdown showed me various folders but, below the folders, all the filenames were greyed-out. I could select a folder, but no files. And when I got a folder to open, I couldn't select any of the files within that folder. All in all, a very strange bug.

I'm a newbie and don't know anything. All I could figure out was that the problem had something to do with Rhythmbox. So I uninstalled Rhythmbox, rebooted the machine, and everything worked fine again. Then I reinstalled Rhythmbox and the problem came back immediately. So I uninstalled Rhythmbox again, got the system working again, and tried installing some of the other players. Unfortunately, they all seem to have problems of their own.

Finally, I reinstalled Rhythmbox again and came to you guys for help -- which I promptly got. Thank you again for your time and trouble.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:2.32.2-0ubuntu2

---------------
nautilus (1:2.32.2-0ubuntu2) natty; urgency=low

  * debian/patches/02_dont_set_default.patch:
    - when opening a file with an application don't check the box to set
      the software as the default handler for the selected type, it's
      leading users to set handlers without noticing, thanks Doug McMahon
      (lp: #662194)
 -- Sebastien Bacher <email address hidden> Wed, 15 Dec 2010 15:21:16 +0100

Changed in nautilus (Ubuntu):
status: Fix Committed → Fix Released
Changed in nautilus:
importance: Unknown → Medium
status: Unknown → New
Phillip Susi (psusi) wrote :

Nominating tasks for maverick and lucid to request this be SRU'd. It is a one line fix and seems to be a pretty annoying bug for a number of people. See bug #667071 for more dups.

Doug McMahon (mc3man) wrote :

Phillip Susi wrote > .... pretty annoying bug for a number of people

Literally hundreds - just judging from posts on UF

Phillip Susi (psusi) wrote :

Built and tested on Maverick, branches proposed to merge for SRU on maverick and lucid.

Sebastien Bacher (seb128) wrote :

I've just talked with upstream about the issue and they said they would prefer to change the behaviour to hide the checkbox and have the action to default to not remember the handler for directory, Rodrigo said he would have a go to get that working

Changed in nautilus (Ubuntu Lucid):
importance: Undecided → Low
Changed in nautilus (Ubuntu Maverick):
importance: Undecided → Low
Changed in nautilus (Ubuntu):
status: Fix Released → Triaged
assignee: nobody → Rodrigo Moya (rodrigo-moya)
status: Triaged → Fix Released
Changed in nautilus (Ubuntu):
status: Fix Released → In Progress
Changed in nautilus:
status: New → Expired
Doug McMahon (mc3man) wrote :

Don't know what expired means - anyway
Tried the revised patch on natty which is fine as far as not showing the dialog on dir. anymore

The orig part, while still being included is not being 'honored' on files where I still think the box should be disabled by default (visible but not checked
- gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (dialog->details->checkbox), TRUE);
+ gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (dialog->details->checkbox), FALSE);

Here this takes care of in new part (changed TRUE to FALSE
@ -1031,6 +1031,12 @@ set_uri_and_type (NautilusOpenWithDialog *dialog,
   gtk_label_set_text_with_mnemonic (GTK_LABEL (dialog->details->open_label),
         _("_Add"));
   gtk_window_set_title (GTK_WINDOW (dialog), _("Add Application"));
+ } else {
+ if (g_str_equal (mime_type, "inode/directory")) {
+ gtk_widget_hide (dialog->details->checkbox);
+ } else {
+ gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (dialog->details->checkbox), FALSE);
+ }
  }

  gtk_label_set_markup (GTK_LABEL (dialog->details->label), label);

Doug McMahon (mc3man) wrote :
Rodrigo Moya (rodrigo-moya) wrote :

Doug, I left it checked by default because that's the upstream default. I guess it won't harm at all to just have it checked by default for files.

Also, in your patch, the 2nd gtk_toggle_button_set_active is redundant, since it's already set to FALSE when creating the check button

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:2.32.2.1-0ubuntu11

---------------
nautilus (1:2.32.2.1-0ubuntu11) natty; urgency=low

  * debian/patches/02_dont_set_default.patch
    - Updated to hide 'Remember this app...' checkbox for directories in the
      'Open with' dialog (LP: #662194)
 -- Rodrigo Moya <email address hidden> Wed, 23 Mar 2011 16:35:27 +0100

Changed in nautilus (Ubuntu):
status: In Progress → Fix Released
Doug McMahon (mc3man) wrote :

Rodrigo Moya wrote >
>Doug, I left it checked by default because that's the upstream default. I guess it won't harm at all to just have it checked by default for files.
>Also, in your patch, the 2nd gtk_toggle_button_set_active is redundant, since it's already set to FALSE when creating the check button

Actually I just copied that directly from comment 4 in the debian bug page, only changing that one last TRUE to FALSE so the file box wouldn't be enabled (otherwise it would be, though maybe files are set elsewhere?

Anyway I've pretty much never seen complaints about defaults for a filetype being changed so no big deal to be left enabled.
And the whole semantics if the "Remember this.." should really say "Set this application as Default..." is unimportant also

Thanks on behalf of a lot of users for doing a complete fix

Changed in nautilus (Ubuntu Lucid):
status: New → Incomplete
status: Incomplete → Confirmed
Changed in nautilus (Ubuntu Maverick):
status: New → Confirmed
Marc Deslauriers (mdeslaur) wrote :

SRU Request for Lucid and Maverick:

Impact: Unexperienced users can set default file handler for directories to some random application, rendering unexpected results.

How to test:

- Right click on directory
- Select "Open with other application"
- Make sure option "Remember this application for folder files" is no longer present

summary: - Nautilus: 'Remember this application for ..." option should be made
- inactive by default
+ [SRU] Nautilus: 'Remember this application for ..." option should be
+ made inactive by default
Kees Cook (kees) on 2011-04-08
Changed in nautilus (Ubuntu Maverick):
status: Confirmed → Fix Committed
Changed in nautilus (Ubuntu Lucid):
status: Confirmed → Fix Committed
status: Fix Committed → In Progress
Changed in nautilus (Ubuntu Maverick):
status: Fix Committed → In Progress
Doug McMahon (mc3man) wrote :

Excellent on maverick and lucid - you can't imagine how much trouble this has caused new and even not so new users
Thank you for them.

Accepted nautilus into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in nautilus (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) on 2011-04-14
Changed in nautilus (Ubuntu Lucid):
status: In Progress → Fix Committed
description: updated
Pedro Villavicencio (pedro) wrote :

I've followed the test case and do the testing for the proposed package in Lucid and Maverick, and can confirm that the bug is fixed with the proposed package, the 'remember this application for...' button is no longer there. Marking this as verification-done, thanks all.

tags: added: verification-done
removed: verification-needed

tx for yr help

On 18 April 2011 15:08, Pedro Villavicencio <email address hidden> wrote:

> I've followed the test case and do the testing for the proposed package
> in Lucid and Maverick, and can confirm that the bug is fixed with the
> proposed package, the 'remember this application for...' button is no
> longer there. Marking this as verification-done, thanks all.
>
> ** Tags added: verification-done
> ** Tags removed: verification-needed
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (703890).
> https://bugs.launchpad.net/bugs/662194
>
> Title:
> [SRU] Nautilus: 'Remember this application for ..." option should be
> made inactive by default
>
> Status in Nautilus:
> Expired
> Status in “nautilus” package in Ubuntu:
> Fix Released
> Status in “nautilus” source package in Lucid:
> Fix Committed
> Status in “nautilus” source package in Maverick:
> Fix Committed
> Status in “nautilus” source package in Natty:
> Fix Released
>
> Bug description:
> Binary package hint: nautilus
>
> By having this option enabled by default when used on dir.'s the app
> chosen is set as the new default folder handler.
>
> This is causing users problems, more every day, and there is no benefit
> to having it as a default active option (not sure if the option has any
> value at all.
> With the box inactive - when used on dir.'s the app chosen will still be
> added to the 'open with' menu, but not set as default folder handler.
> (( while having the box active for files causes no issues, again having it
> inactive does not prevent the choice from being added to the 'open with'
> menu for that mimetype, so the simple fix for the moment would be to just
> make inactive period.
>
> As simple as
> gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON
> (dialog->details->checkbox), FALSE);
>
> Related ignored bug
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/603833
>
> Please do not dupe this to this bug - a dead end it appears
> https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/366963
>
> Impact: Unexperienced users can set default file handler for
> directories to some random application, rendering unexpected results.
>
> TEST CASE:
>
> - Right click on directory
> - Select "Open with other application"
> - Make sure option "Remember this application for folder files" is no
> longer present
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: nautilus 1:2.32.0-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
> Uname: Linux 2.6.35-22-generic x86_64
> NonfreeKernelModules: nvidia
> Architecture: amd64
> Date: Sun Oct 17 10:29:10 2010
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64
> (20100917)
> ProcEnviron:
> PATH=(custom, user)
> LANG=en_US.utf8
> SHELL=/bin/bash
> SourcePackage: nautilus
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/nautilus/+bug/662194/+subscribe
>

--
Ken

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:2.30.1-0ubuntu1.2

---------------
nautilus (1:2.30.1-0ubuntu1.2) lucid-proposed; urgency=low

  * 02_dont_set_default.patch: SRU patch to remove the "remember
    this application" check box in the open with dialog box
    for folders (LP: #662194)
 -- Phillip Susi <email address hidden> Sun, 27 Mar 2011 21:20:47 -0400

Changed in nautilus (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:2.32.0-0ubuntu1.4

---------------
nautilus (1:2.32.0-0ubuntu1.4) maverick-proposed; urgency=low

  * 02_dont_set_default.patch: SRU patch to remove the "remember
    this application" check box in the open with dialog box
    for folders (LP: #662194)
 -- Phillip Susi <email address hidden> Sun, 27 Mar 2011 21:02:50 -0400

Changed in nautilus (Ubuntu Maverick):
status: Fix Committed → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.